KTUTILMGR(1)

NAME
ktutilmgr - command line interface of miscellaneous utilities

DESCRIPTION

The command `ktutilmgr' is a tool of miscellaneous utilities, and to show the configuration. This command is used in the following format. `url' specifies the target URL. `proc' specifies the name of the procedure to call. `name' and `value' specify a pair of the key and the value of an input parameter. `path' specifies the path of a repository.

    ktutilmgr date [-ds str] [-jl num] [-wf] [-rf]
        Prints date information. By default, prints the current UNIX time.
    ktutilmgr http [-get|-head|-post|-put|-delete] [-body file] [-ah name value] [-qs name value] [-tout num] [-ph] [-ec num] url
        Performs an HTTP session.
    ktutilmgr rpc [-host str] [-port num] [-tout num] [-ienc str] [-oenc str] proc [name value ...]
        Performs an RPC session.
    ktutilmgr ulog [-ts num] [-uw] [-uf] path
        Prints update logs.
    ktutilmgr conf [-v|-i|-l|-p]
        Shows the configuration of Kyoto Tycoon.
    ktutilmgr version
        Shows the version information of Kyoto Tycoon.

Options feature the following.

    -ds str : specifies the datetime string.
    -jl num : specifies the jet lag.
    -wf : formats the output in W3CDTF.
    -rf : formats the output in RFC 1123 format.
    -get : uses the GET method.
    -head : uses the HEAD method.
    -post : uses the POST method.
    -put : uses the PUT method.
    -delete : uses the DELETE method.
    -body file : sends the entity body of the content the file.
    -ah name value : adds an HTTP header.
    -qs name value : adds a key/value pair to the query string.
    -tout num : specifies the timeout in seconds.
    -ph : prints response headers.
    -ec num : reports error if the response code is not the same as the expected.
    -host str : specifies the host name of the server.
    -port num : specifies the port number of the server.
    -ienc str : specifies the encoding of the input data.
    -oenc str : specifies the encoding of the output data.
    -ts num : specifies the maximum time stamp of already read logs. "now" means the current time stamp.
    -uw : waits for update forever.
    -uf : prints status of each update log file.
    -v : show the version number of Kyoto Tycoon.
    -i : show options to include the headers of Tokyo Tycoon.
    -l : show options to link the library of Tokyo Tycoon.
    -p : show the directory path of the commands.

This command returns 0 on success, another on failure.

SEE ALSO

ktutiltest(1), ktutilserv(1)